Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.tags
Class AddTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.forms.tags.FormTagBase
                      org.makumba.forms.tags.AddTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class AddTag

extends FormTagBase

mak:addForm tag

Version:
  $Id: AddTag.java 2688 2008-06-28 22:36:20Z rosso_nero $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`(package private) String` | `field`
`(package private) String` | `multipleSubmitErrorMsg`

Fields inherited from class org.makumba.forms.tags.FormTagBase
`__MAKUMBA__FORM__COUNTER__, afterHandler, annotation, annotationSeparator, baseObject, basePointer, bodyContent, ddp, fdp, formAction, formMessage, formMethod, formName, handler, lazyEvaluatedInputs, reloadFormOnError, responder, starttime`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AddTag()`

Method Summary
`protected void` | `doAnalyzedCleanup()` Called by doEndTag in its finally block.
`DataDefinition` | `getDataTypeAtAnalysis(PageCache pageCache)` Tries to figure out the type of the object to which we want to add some data
`(package private) String` | `getOperation()` Figures out the operation
`ResponderOperation` | `getResponderOperation(String operation)` Gives the operation associated with this form tag.
`void` | `initialiseState()` Inherited
`void` | `setField(String s)`
`void` | `setMultipleSubmitErrorMsg(String s)`
`void` | `setTagKey(PageCache pageCache)` Sets tagKey to uniquely identify this tag.
`boolean` | `shouldComputeBasePointer()` Indicates whether the base pointer should be computed or not

Methods inherited from class org.makumba.forms.tags.FormTagBase
`checkNoParent, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, doInitBody, doStartAnalyze, findParentForm, findRootForm, getDefaultExpr, getFormIdentifier, getNestedFormNames, setAction, setAfterHandler, setAnnotation, setAnnotationSeparator, setBodyContent, setClientSideValidation, setHandler, setMessage, setMethod, setMultipart, setName, setObject, setOnReset, setOnSubmit, setReloadFormOnError, setTarget`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode, toString`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doEndTag, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Field Detail

### field

    String field

### multipleSubmitErrorMsg

    String multipleSubmitErrorMsg

Constructor Detail

### AddTag

    public AddTag()

Method Detail

### setField

    public void setField(String s)

### setMultipleSubmitErrorMsg

    public void setMultipleSubmitErrorMsg(String s)

### setTagKey

    public void setTagKey(PageCache pageCache)

  Sets tagKey to uniquely identify this tag. Called at analysis time before doStartAnalyze() and at runtime before doMakumbaStartTag()

  Overrides:
    `setTagKey` in class `FormTagBase`
  Parameters:
    `pageCache` - the page cache of the current page
  See Also:
    `AnalysableTag.doAnalyzedStartTag(org.makumba.analyser.PageCache)`, `AnalysableTag.doStartAnalyze(org.makumba.analyser.PageCache)`

### initialiseState

    public void initialiseState()

  Inherited

  Overrides:
    `initialiseState` in class `FormTagBase`

### getDataTypeAtAnalysis

    public DataDefinition getDataTypeAtAnalysis(PageCache pageCache)

  Tries to figure out the type of the object to which we want to add some data

  Overrides:
    `getDataTypeAtAnalysis` in class `FormTagBase`
  Parameters:
    `pageCache` - the page cache of the current page
  Returns:
    A DataDefinition corresponding to the type of object to which we want to add something

### getOperation

    String getOperation()

  Figures out the operation

  Overrides:
    `getOperation` in class `FormTagBase`
  Returns:
    'addNew' if we are inside of a newForm, 'add' otherwise

### shouldComputeBasePointer

    public boolean shouldComputeBasePointer()

  Description copied from class: `FormTagBase`
  Indicates whether the base pointer should be computed or not

  Overrides:
    `shouldComputeBasePointer` in class `FormTagBase`
  Returns:
    `false` if we are at runtime (i.e. the baseObject has been set by JSP), `true` if we are at analysis time

### getResponderOperation

    public ResponderOperation getResponderOperation(String operation)

  Description copied from class: `FormTagBase`
  Gives the operation associated with this form tag. Each tag should implement its own

  Overrides:
    `getResponderOperation` in class `FormTagBase`
  Parameters:
    `operation` - name of the operation
  Returns:
    a `ResponderOperation` object holding the operation information

### doAnalyzedCleanup

    protected void doAnalyzedCleanup()

  Description copied from class: `AnalysableTag`
  Called by doEndTag in its finally block. Use it to clean references that will not be used next time the servlet container uses the tag object.

  Overrides:
    `doAnalyzedCleanup` in class `FormTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20